com.verisign.epp.codec.domain

## Class EPPDomainUpdateCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPUpdateCmd
    - - com.verisign.epp.codec.domain.EPPDomainUpdateCmd

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPDomainUpdateCmd
      extends EPPUpdateCmd

  Represents an EPP Domain <update> command. The EPP <update> command provides a transform operation that allows a client to modify the attributes of a domain object. In addition to the standard EPP command elements, the <update> command MUST contain a <domain:update> element that identifies the domain namespace and the location of the domain schema. In addition to The <domain:update> element SHALL contain the following child elements:
  - A <domain:name> element that contains the fully qualified domain name of the object to be updated. Use `getName` and `setName` to get and set the element.
  - An OPTIONAL <domain:add> element that contains attribute values to be added to the domain object. Use `getAdd` and `setAdd` to get and set the element.
  - An OPTIONAL <domain:chg> element that contains attribute values to be change to the domain object. Use `getChange` and `setChange` to get and set the element.
  - An OPTIONAL <domain:rem> element that contains attribute values to be removed from the domain object. Use `getRemove` and `setRemove` to get and set the element.
  `EPPReponse` is the response associated with `EPPDomainUpdateCmd`.
  Version:
    $Revision: 1.4 $
  Author:
    $Author: jim $
  See Also:
    `EPPResponse`, `EPPDomainAddRemove`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPDomainUpdateCmd()` `EPPDomainUpdateCmd` default constructor.
    `EPPDomainUpdateCmd(java.lang.String aName)` `EPPDomainUpdateCmd` default constructor.
    `EPPDomainUpdateCmd(java.lang.String aTransId, java.lang.String aName, EPPDomainAddRemove aAdd, EPPDomainAddRemove aRemove, EPPDomainAddRemove aChange)` `EPPDomainUpdateCmd` constructor that takes the required attributes as arguments.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPDomainUpdateCmd`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPDomainUpdateCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPDomainUpdateCmd` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPDomainUpdateCmd` with this instance.
    `EPPDomainAddRemove` | `getAdd()` Gets the items to add to the domain.
    `EPPDomainAddRemove` | `getChange()` Gets the items to change to the domain.
    `java.lang.String` | `getName()` Gets the domain name to update.
    `java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPDomainUpdateCmd`.
    `EPPDomainAddRemove` | `getRemove()` Gets the items to remove from the domain.
    `void` | `setAdd(EPPDomainAddRemove aAdd)` Sets the items to add to the domain.
    `void` | `setChange(EPPDomainAddRemove newChange)` Sets the items to change to the domain.
    `void` | `setName(java.lang.String aName)` Sets the domain name to update.
    `void` | `setRemove(EPPDomainAddRemove aRemove)` Sets the items to remove from the domain.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPUpdateCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPDomainUpdateCmd

          public EPPDomainUpdateCmd()

      `EPPDomainUpdateCmd` default constructor. The name is initialized to `null`. The name must be set before invoking `encode`.

    - #### EPPDomainUpdateCmd

          public EPPDomainUpdateCmd(java.lang.String aName)

      `EPPDomainUpdateCmd` default constructor. The name is initialized to `null`. The name must be set before invoking `encode`.
      Parameters:
        `aName` - Domain name to update

    - #### EPPDomainUpdateCmd

          public EPPDomainUpdateCmd(java.lang.String aTransId,
                                    java.lang.String aName,
                                    EPPDomainAddRemove aAdd,
                                    EPPDomainAddRemove aRemove,
                                    EPPDomainAddRemove aChange)

      `EPPDomainUpdateCmd` constructor that takes the required attributes as arguments.
      Parameters:
        `aTransId` - Transaction Id associated with the command.
        `aName` - Domain name to update.
        `aAdd` - Attributes to add to the domain. `null` if no additions.
        `aRemove` - Attributes to remove from the domain. `null` if no removals.
        `aChange` - Attribute to change. `null` if no changes.

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPDomainUpdateCmd`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPDomainMapFactory.NS`

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPDomainUpdateCmd` instance.
      Specified by:
        `doEncode` in class `EPPUpdateCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Root DOM Element representing the `EPPDomainUpdateCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPDomainUpdateCmd` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPDomainUpdateCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPUpdateCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPDomainUpdateCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPDomainUpdateCmd` with this instance.
      Overrides:
        `equals` in class `EPPUpdateCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPDomainUpdateCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        clone of `EPPDomainUpdateCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getName

          public java.lang.String getName()

      Gets the domain name to update.
      Returns:
        Domain Name if defined; `null` otherwise.

    - #### setName

          public void setName(java.lang.String aName)

      Sets the domain name to update.
      Parameters:
        `aName` - Domain Name

    - #### getAdd

          public EPPDomainAddRemove getAdd()

      Gets the items to add to the domain.
      Returns:
        Object that contains the list of elements to add to the domain if defined; `null` otherwise.

    - #### setAdd

          public void setAdd(EPPDomainAddRemove aAdd)

      Sets the items to add to the domain.
      Parameters:
        `aAdd` - Object that contains the list of elements to add to the domain.

    - #### getRemove

          public EPPDomainAddRemove getRemove()

      Gets the items to remove from the domain.
      Returns:
        Object that contains the list of elements to remove from the domain if defined; `null` otherwise.

    - #### setRemove

          public void setRemove(EPPDomainAddRemove aRemove)

      Sets the items to remove from the domain.
      Parameters:
        `aRemove` - Object that contains the list of elements to remove from the domain.

    - #### getChange

          public EPPDomainAddRemove getChange()

      Gets the items to change to the domain.
      Returns:
        Object that contains the list of elements to change to the domain if defined; `null` otherwise.

    - #### setChange

          public void setChange(EPPDomainAddRemove newChange)

      Sets the items to change to the domain.
      Parameters:
        `newChange` - Object that contains the list of elements to change to the domain.

Copyright © VeriSign Inc. All Rights Reserved.